<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddProduit extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("produit_appro", ['id' => false, 'primary_key' => ["produit_appro_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_appro_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'signed' => false])
            ->addColumn('produit_appro_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_appro_id'])
            ->create();

        $this
            ->table("produit_statut", ['id' => false, 'primary_key' => ["produit_statut_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_statut_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_statut_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_statut_id'])
            ->addColumn('produit_statut_image', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_statut_nom'])
            ->addColumn('produit_statut_rang', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_statut_image'])
            ->create();


        $this
            ->table("produit_type", ['id' => false, 'primary_key' => ["produit_type_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_type_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_type_libelle', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_type_id'])
            ->addColumn('produit_type_stock', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_type_libelle'])
            ->addColumn('produit_type_port', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_type_stock'])
            ->addColumn('produit_type_class', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_type_port'])
            ->create();

        $this
            ->table("produit", ['id' => false, 'primary_key' => ["produit_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_livraison', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id'])
            ->addColumn('produit_quantite', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_livraison'])
            ->addColumn('produit_quantite_p', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_quantite'])
            ->addColumn('produit_alerte', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_quantite_p'])
            ->addColumn('produit_unite', 'integer', ['null' => false, 'default' => '1', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_alerte'])
            ->addColumn('produit_ref', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_unite'])
            ->addColumn('produit_ref_frs', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_ref'])
            ->addColumn('produit_prix', 'decimal', ['null' => false, 'default' => '0.0000', 'precision' => 15, 'scale' => 4, 'after' => 'produit_ref_frs'])
            ->addColumn('produit_ecotaxe', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 4, 'after' => 'produit_prix'])
            ->addColumn('produit_prix_conseille', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 4, 'after' => 'produit_ecotaxe'])
            ->addColumn('produit_achat', 'decimal', ['null' => false, 'default' => '0.0000', 'precision' => 15, 'scale' => 4, 'after' => 'produit_prix_conseille'])
            ->addColumn('produit_achat_der', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 4, 'after' => 'produit_achat'])
            ->addColumn('produit_date_ajout', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'produit_achat_der'])
            ->addColumn('produit_date_modif', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'produit_date_ajout'])
            ->addColumn('produit_poids', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_date_modif'])
            ->addColumn('taxe_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_poids', 'signed' => false])
            ->addColumn('produit_statut_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'taxe_id', 'signed' => false])
            ->addColumn('produit_rang', 'integer', ['null' => false, 'default' => '999', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_statut_id'])
            ->addColumn('produit_appro_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_rang', 'signed' => false])
            ->addColumn('fournisseur_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_appro_id', 'signed' => false])
            ->addColumn('marque_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'fournisseur_id', 'signed' => false])
            ->addColumn('produit_type_id', 'integer', ['null' => false, 'default' => '1', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'marque_id', 'signed' => false])
            ->addColumn('produit_ean', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_type_id'])
            ->addForeignKey('taxe_id', 'taxe', 'taxe_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_type_id', 'produit_type', 'produit_type_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_statut_id', 'produit_statut', 'produit_statut_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_appro_id', 'produit_appro', 'produit_appro_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('marque_id', 'marque', 'marque_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('fournisseur_id', 'fournisseur', 'fournisseur_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addIndex(['taxe_id'], ['name' => "taxe_id", 'unique' => false])
            ->addIndex(['produit_statut_id'], ['name' => "produit_statut_id", 'unique' => false])
            ->addIndex(['produit_appro_id'], ['name' => "produit_appro_id", 'unique' => false])
            ->addIndex(['fournisseur_id'], ['name' => "fournisseur_id", 'unique' => false])
            ->addIndex(['marque_id'], ['name' => "marque_id", 'unique' => false])
            ->addIndex(['produit_type_id'], ['name' => "produit_type_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_assoc", ['id' => false, 'primary_key' => ["produit_assoc_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_assoc_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_assoc_id', 'signed' => false])
            ->addColumn('produit_a_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_a_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['produit_a_id'], ['name' => "produit_a_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_option", ['id' => false, 'primary_key' => ["produit_option_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_option_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->create();

        $this
            ->table("produit_option_valeur", ['id' => false, 'primary_key' => ["produit_option_valeur_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_option_valeur_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_option_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_option_valeur_id', 'signed' => false])
            ->addColumn('produit_option_rang', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_option_id'])
            ->addColumn('produit_option_valeur_couleur', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_option_rang'])
            ->addColumn('produit_option_valeur_image', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_option_valeur_couleur'])
            ->addForeignKey('produit_option_id', 'produit_option', 'produit_option_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_option_id'], ['name' => "produit_option_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_attribut", ['id' => false, 'primary_key' => ["produit_attribut_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_attribut_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_id', 'signed' => false])
            ->addColumn('produit_option_valeur_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addColumn('produit_option_valeur_id_bis', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_option_valeur_id', 'signed' => false])
            ->addColumn('produit_option_valeur_desc', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_option_valeur_id_bis'])
            ->addColumn('produit_attribut_prix', 'decimal', ['null' => false, 'default' => '0.0000', 'precision' => 15, 'scale' => 4, 'after' => 'produit_option_valeur_desc'])
            ->addColumn('produit_attribut_prix_ecotaxe', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 4, 'after' => 'produit_attribut_prix'])
            ->addColumn('produit_attribut_prix_conseille', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 4, 'after' => 'produit_attribut_prix_ecotaxe'])
            ->addColumn('produit_attribut_achat', 'decimal', ['null' => false, 'default' => '0.0000', 'precision' => 15, 'scale' => 4, 'after' => 'produit_attribut_prix_conseille'])
            ->addColumn('produit_attribut_achat_der', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 4, 'after' => 'produit_attribut_achat'])
            ->addColumn('produit_attribut_quantite', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_achat_der'])
            ->addColumn('produit_attribut_quantite_p', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_quantite'])
            ->addColumn('produit_attribut_alerte', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_quantite_p'])
            ->addColumn('produit_attribut_poids', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_alerte'])
            ->addColumn('produit_attribut_livraison', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_poids'])
            ->addColumn('produit_appro_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_livraison', 'signed' => false])
            ->addColumn('produit_attribut_statut_id', 'integer', ['null' => false, 'default' => '1', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_appro_id', 'signed' => false])
            ->addColumn('produit_attribut_ref', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_attribut_statut_id'])
            ->addColumn('produit_attribut_ref_frs', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_attribut_ref'])
            ->addColumn('produit_attribut_rang', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_ref_frs'])
            ->addColumn('produit_attribut_ean', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_attribut_rang'])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_appro_id', 'produit_appro', 'produit_appro_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_attribut_statut_id', 'produit_statut', 'produit_statut_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_option_valeur_id', 'produit_option_valeur', 'produit_option_valeur_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_option_valeur_id_bis', 'produit_option_valeur', 'produit_option_valeur_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id', 'produit_option_valeur_id', 'produit_option_valeur_id_bis'], ['name' => "produit_id_2", 'unique' => true])
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['produit_option_valeur_id'], ['name' => "produit_option_valeur_id", 'unique' => false])
            ->addIndex(['produit_appro_id'], ['name' => "produit_appro_id", 'unique' => false])
            ->addIndex(['produit_attribut_statut_id'], ['name' => "produit_attribut_statut_id", 'unique' => false])
            ->addIndex(['produit_option_valeur_id_bis'], ['name' => "produit_option_valeur_id_bis", 'unique' => false])
            ->addIndex(['produit_id', 'produit_attribut_statut_id'], ['name' => "produit_id_3", 'unique' => false])
            ->create();

        $this
            ->table("produit_boutique", ['id' => false, 'primary_key' => ["produit_boutique_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_boutique_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_boutique_id', 'signed' => false])
            ->addColumn('boutique_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addColumn('produit_boutique_statut_id', 'integer', ['null' => false, 'default' => '1', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'boutique_id'])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('boutique_id', 'boutique', 'boutique_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id', 'boutique_id'], ['name' => "produit_id_2", 'unique' => true])
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['boutique_id'], ['name' => "boutique_id", 'unique' => false])
            ->addIndex(['produit_boutique_statut_id'], ['name' => "produit_boutique_statut_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_caracteristique_valeur", ['id' => false, 'primary_key' => ["produit_caracteristique_valeur_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_caracteristique_valeur_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_caracteristique_valeur_id', 'signed' => false])
            ->addColumn('caracteristique_valeur_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('caracteristique_valeur_id', 'caracteristique_valeur', 'caracteristique_valeur_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['caracteristique_valeur_id'], ['name' => "caracteristique_valeur_id", 'unique' => false])
            ->addIndex(['produit_id', 'caracteristique_valeur_id'], ['name' => "produit_id_2", 'unique' => true])
            ->create();

        $this
            ->table("produit_categorie", ['id' => false, 'primary_key' => ["produit_categorie_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_categorie_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_categorie_id', 'signed' => false])
            ->addColumn('categorie_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('categorie_id', 'categorie', 'categorie_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id', 'categorie_id'], ['name' => "produit_id_2", 'unique' => true])
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['categorie_id'], ['name' => "categorie_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_gamme", ['id' => false, 'primary_key' => ["produit_gamme_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_gamme_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_gamme_id', 'signed' => false])
            ->addColumn('gamme_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('gamme_id', 'gamme', 'gamme_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['gamme_id'], ['name' => "gamme_id", 'unique' => false])
            ->addIndex(['produit_id', 'gamme_id'], ['name' => "gamme_id_2", 'unique' => true])
            ->create();

        $this
            ->table("produit_image", ['id' => false, 'primary_key' => ["produit_image_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_image_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_image_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_image_id'])
            ->addColumn('produit_image', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_image_nom'])
            ->addColumn('produit_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_image', 'signed' => false])
            ->addColumn('produit_image_date_ajout', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'produit_id'])
            ->addColumn('produit_image_date_modif', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'produit_image_date_ajout'])
            ->addColumn('produit_image_default', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_image_date_modif'])
            ->addColumn('produit_image_rang', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_image_default'])
            ->addColumn('produit_image_type', 'enum', ['null' => true, 'default' => 'visuel', 'limit' => 8, 'values' => ['visuel', 'face', 'dos', 'ensemble'], 'after' => 'produit_image_rang'])
            ->addColumn('produit_option_valeur_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_image_type', 'signed' => false])
            ->addColumn('produit_option_valeur_id_bis', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_option_valeur_id', 'signed' => false])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_option_valeur_id', 'produit_option_valeur', 'produit_option_valeur_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_option_valeur_id_bis', 'produit_option_valeur', 'produit_option_valeur_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['produit_image_rang'], ['name' => "produit_image_rang", 'unique' => false])
            ->addIndex(['produit_image_default'], ['name' => "produit_image_default", 'unique' => false])
            ->addIndex(['produit_option_valeur_id'], ['name' => "produit_option_valeur_id", 'unique' => false])
            ->addIndex(['produit_option_valeur_id_bis'], ['name' => "produit_option_valeur_id_bis", 'unique' => false])
            ->addIndex(['produit_id', 'produit_image_default'], ['name' => "produit_id_2", 'unique' => false])
            ->create();

        $this
            ->table("produit_list_type", ['id' => false, 'primary_key' => ["produit_list_type_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_list_type_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_list_type_nom', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_list_type_id'])
            ->addColumn('produit_list_type_status', 'boolean', ['null' => false, 'limit' => MysqlAdapter::INT_TINY, 'precision' => 3, 'after' => 'produit_list_type_nom'])
            ->create();

        $this
            ->table("produit_list", ['id' => false, 'primary_key' => ["produit_list_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_list_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('client_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_list_id', 'signed' => false])
            ->addColumn('produit_list_type_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'client_id', 'signed' => false])
            ->addColumn('produit_list_nom', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_list_type_id'])
            ->addColumn('produit_list_desc', 'text', ['null' => false, 'limit' => 65535, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_list_nom'])
            ->addColumn('produit_list_date_ajout', 'datetime', ['null' => false, 'after' => 'produit_list_desc'])
            ->addColumn('produit_list_date_modif', 'datetime', ['null' => false, 'after' => 'produit_list_date_ajout'])
            ->addColumn('produit_list_delete', 'boolean', ['null' => false, 'limit' => MysqlAdapter::INT_TINY, 'precision' => 3, 'after' => 'produit_list_date_modif'])
            ->addForeignKey('client_id', 'client', 'client_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_list_type_id', 'produit_list_type', 'produit_list_type_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['client_id'], ['name' => "client_id", 'unique' => false])
            ->addIndex(['produit_list_type_id'], ['name' => "produit_list_type_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_list_produit", ['id' => false, 'primary_key' => ["produit_list_produit_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_list_produit_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_list_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_list_produit_id', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_list_id', 'signed' => false])
            ->addColumn('produit_attribut_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addColumn('produit_list_produit_qte', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_id'])
            ->addForeignKey('produit_list_id', 'produit_list', 'produit_list_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_attribut_id', 'produit_attribut', 'produit_attribut_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_list_id', 'produit_id', 'produit_attribut_id'], ['name' => "produit_list_id_2", 'unique' => true])
            ->addIndex(['produit_list_id'], ['name' => "produit_list_id", 'unique' => false])
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['produit_attribut_id'], ['name' => "produit_attribut_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_nom", ['id' => false, 'primary_key' => ["produit_nom_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_nom_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_nom_id', 'signed' => false])
            ->addColumn('produit_nom_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_id'])
            ->addColumn('produit_nom_desc', 'text', ['null' => false, 'limit' => 65535, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_nom_nom'])
            ->addColumn('produit_nom_desc2', 'text', ['null' => false, 'limit' => 65535, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'comment' => "Non visible sur le site", 'after' => 'produit_nom_desc'])
            ->addColumn('langue_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_nom_desc2', 'signed' => false])
            ->addColumn('produit_nom_meta_title', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'langue_id'])
            ->addColumn('produit_nom_meta_desc', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_nom_meta_title'])
            ->addColumn('produit_nom_meta_kw', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_nom_meta_desc'])
            ->addColumn('produit_nom_meta_other', 'text', ['null' => false, 'limit' => 65535, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_nom_meta_kw'])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('langue_id', 'langue', 'langue_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id', 'langue_id'], ['name' => "produit_id_2", 'unique' => true])
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['langue_id'], ['name' => "langue_id", 'unique' => false])
            ->addIndex(['produit_nom_nom'], ['name' => "produit_nom_nom", 'unique' => false])
            ->create();

        $this
            ->table("produit_option_nom", ['id' => false, 'primary_key' => ["produit_option_nom_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_option_nom_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_option_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_option_nom_id', 'signed' => false])
            ->addColumn('produit_option_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_option_id'])
            ->addColumn('langue_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_option_nom', 'signed' => false])
            ->addForeignKey('produit_option_id', 'produit_option', 'produit_option_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('langue_id', 'langue', 'langue_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['langue_id', 'produit_option_id'], ['name' => "langue_id_2", 'unique' => true])
            ->addIndex(['langue_id'], ['name' => "langue_id", 'unique' => false])
            ->addIndex(['produit_option_id'], ['name' => "produit_option_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_option_valeur_nom", ['id' => false, 'primary_key' => ["produit_option_valeur_nom_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_option_valeur_nom_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_option_valeur_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_option_valeur_nom_id', 'signed' => false])
            ->addColumn('produit_option_valeur_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'produit_option_valeur_id'])
            ->addColumn('langue_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_option_valeur_nom', 'signed' => false])
            ->addForeignKey('produit_option_valeur_id', 'produit_option_valeur', 'produit_option_valeur_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('langue_id', 'langue', 'langue_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['langue_id', 'produit_option_valeur_id'], ['name' => "langue_id_2", 'unique' => true])
            ->addIndex(['produit_option_valeur_id'], ['name' => "produit_option_valeur_id", 'unique' => false])
            ->addIndex(['langue_id'], ['name' => "langue_id", 'unique' => false])
            ->create();

        $this
            ->table("produit_prix_barre", ['id' => false, 'primary_key' => ["produit_prix_barre_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('produit_prix_barre_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_prix_barre_id', 'signed' => false])
            ->addColumn('produit_attribut_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addColumn('prix_barre_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_attribut_id', 'signed' => false])
            ->addColumn('etiquette_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'prix_barre_id', 'signed' => false])
            ->addColumn('produit_prix_barre_prix', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 4, 'after' => 'etiquette_id'])
            ->addColumn('produit_prix_barre_percent', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 2, 'after' => 'produit_prix_barre_prix'])
            ->addColumn('produit_prix_barre_valeur', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 4, 'after' => 'produit_prix_barre_percent'])
            ->addColumn('produit_prix_barre_date_debut', 'datetime', ['null' => false, 'after' => 'produit_prix_barre_valeur'])
            ->addColumn('produit_prix_barre_date_fin', 'datetime', ['null' => false, 'after' => 'produit_prix_barre_date_debut'])
            ->addColumn('boutique_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_prix_barre_date_fin', 'signed' => false])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('prix_barre_id', 'prix_barre', 'prix_barre_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_attribut_id', 'produit_attribut', 'produit_attribut_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('etiquette_id', 'etiquette', 'etiquette_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('boutique_id', 'boutique', 'boutique_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['prix_barre_id'], ['name' => "prix_barre_id", 'unique' => false])
            ->addIndex(['produit_attribut_id'], ['name' => "produit_attribut_id", 'unique' => false])
            ->addIndex(['etiquette_id'], ['name' => "etiquette_id", 'unique' => false])
            ->addIndex(['boutique_id'], ['name' => "boutique_id", 'unique' => false])
            ->addIndex(['produit_id', 'boutique_id'], ['name' => "produit_id_2", 'unique' => false])
            ->create();

        $this
            ->table("prix_barre_produit", ['id' => false, 'primary_key' => ["prix_barre_produit_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('prix_barre_produit_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('prix_barre_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'prix_barre_produit_id', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'prix_barre_id', 'signed' => false])
            ->addColumn('prix_barre_produit_inclus', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'length' => 1])
            ->addForeignKey('prix_barre_id', 'prix_barre', 'prix_barre_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['prix_barre_id'], ['name' => "prix_barre_id", 'unique' => false])
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['prix_barre_produit_inclus'], ['name' => "prix_barre_produit_inclus", 'unique' => false])
            ->create();
    }
}
