<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddTemoignage extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("temoignage_etoile", ['id' => false, 'primary_key' => ["temoignage_etoile_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('temoignage_etoile_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('temoignage_etoile_valeur', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_etoile_id'])
            ->addColumn('temoignage_etoile_image', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'temoignage_etoile_valeur'])
            ->addColumn('temoignage_etoile_rang', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_etoile_image'])
            ->create();

        $this
            ->table("temoignage", ['id' => false, 'primary_key' => ["temoignage_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('temoignage_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('temoignage_etoile_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_id', 'signed' => false])
            ->addColumn('langue_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_etoile_id', 'signed' => false])
            ->addColumn('produit_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'langue_id', 'signed' => false])
            ->addColumn('produit_attribut_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'produit_id', 'signed' => false])
            ->addColumn('temoignage_date_ajout', 'datetime', ['null' => false, 'after' => 'produit_attribut_id'])
            ->addColumn('temoignage_date_modif', 'datetime', ['null' => false, 'after' => 'temoignage_date_ajout'])
            ->addColumn('client_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_date_modif', 'signed' => false])
            ->addColumn('temoignage_titre', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_id'])
            ->addColumn('temoignage_pseudo', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'temoignage_titre'])
            ->addColumn('temoignage_texte', 'text', ['null' => false, 'limit' => 65535, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'temoignage_pseudo'])
            ->addColumn('temoignage_statut_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_texte'])
            ->addColumn('temoignage_hit', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_statut_id'])
            ->addForeignKey('produit_id', 'produit', 'produit_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('client_id', 'client', 'client_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('temoignage_etoile_id', 'temoignage_etoile', 'temoignage_etoile_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('langue_id', 'langue', 'langue_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('produit_attribut_id', 'produit_attribut', 'produit_attribut_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addIndex(['produit_id'], ['name' => "produit_id", 'unique' => false])
            ->addIndex(['client_id'], ['name' => "client_id", 'unique' => false])
            ->addIndex(['temoignage_statut_id'], ['name' => "temoignage_statut_id", 'unique' => false])
            ->addIndex(['temoignage_etoile_id'], ['name' => "temoignage_etoile_id", 'unique' => false])
            ->addIndex(['langue_id'], ['name' => "langue_id", 'unique' => false])
            ->addIndex(['produit_attribut_id'], ['name' => "produit_attribut_id", 'unique' => false])
            ->create();

        $this
            ->table("temoignage_etoile_nom", ['id' => false, 'primary_key' => ["temoignage_etoile_nom_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('temoignage_etoile_nom_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('temoignage_etoile_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_etoile_nom_id', 'signed' => false])
            ->addColumn('langue_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'temoignage_etoile_id', 'signed' => false])
            ->addColumn('temoignage_etoile_nom_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'langue_id'])
            ->addForeignKey('temoignage_etoile_id', 'temoignage_etoile', 'temoignage_etoile_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('langue_id', 'langue', 'langue_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['temoignage_etoile_id', 'langue_id'], ['name' => "langue_id_2", 'unique' => true])
            ->addIndex(['temoignage_etoile_id'], ['name' => "notation_id", 'unique' => false])
            ->addIndex(['langue_id'], ['name' => "langue_id", 'unique' => false])
            ->create();
    }
}
