<?php

use Phinx\Migration\AbstractMigration;

class InsertBack extends AbstractMigration
{
    public function up()
    {

        $back_actif = array(
            array('actif_id' => '1','actif_nom' => 'ACTIF'),
            array('actif_id' => '2','actif_nom' => 'INACTIF')
        );

        $this
            ->table('back_actif')
            ->insert($back_actif)
            ->save();

        $back_administrateur = array(
            array('administrateur_id' => '13','administrateur_nom' => 'Dedi Agency','administrateur_prenom' => 'Dedi Agency','administrateur_email' => 'admin@dedi-agency.com','administrateur_password' => 'glop','actif_id' => '1')
        );

        $this
            ->table('back_administrateur')
            ->insert($back_administrateur)
            ->save();

        $back_groupe = array(
            array('groupe_id' => '1','groupe_code' => 'A1','groupe_nom' => 'Administrateurs','groupe_rang' => '10')
        );

        $this
            ->table('back_groupe')
            ->insert($back_groupe)
            ->save();

        $back_administrateur_groupe = array(
            array('administrateur_groupe_id' => '25','administrateur_id' => '13','groupe_id' => '1')
        );

        $this
            ->table('back_administrateur_groupe')
            ->insert($back_administrateur_groupe)
            ->save();

        $back_droits = array(
            array('droit_id' => '1','droit_code' => 'READ','droit_nom' => 'Lire','droit_valeur' => '1'),
            array('droit_id' => '2','droit_code' => 'ADD','droit_nom' => 'Ajouter','droit_valeur' => '2'),
            array('droit_id' => '3','droit_code' => 'DEL','droit_nom' => 'Supprimer','droit_valeur' => '4'),
            array('droit_id' => '4','droit_code' => 'MOD','droit_nom' => 'Modifier','droit_valeur' => '8'),
            array('droit_id' => '5','droit_code' => 'TRAD','droit_nom' => 'Traduction','droit_valeur' => '16'),
            array('droit_id' => '6','droit_code' => 'EXP','droit_nom' => 'Export','droit_valeur' => '32'),
            array('droit_id' => '7','droit_code' => 'EXPERT','droit_nom' => 'Expert','droit_valeur' => '64'),
            array('droit_id' => '8','droit_code' => 'LIM','droit_nom' => 'Limité','droit_valeur' => '128')
        );

        $this
            ->table('back_droits')
            ->insert($back_droits)
            ->save();

        $back_module = array(
            array('module_id' => '1','module_parent_id' => NULL,'module_nom' => 'Tous','module_titre' => 'Tous les Modules','module_page' => '','module_rang' => '1','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => ''),
            array('module_id' => '87','module_parent_id' => '1','module_nom' => 'Administration','module_titre' => 'ADMIN','module_page' => '','module_rang' => '9999','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-unlock-alt'),
            array('module_id' => '88','module_parent_id' => '87','module_nom' => 'Gestion des Utilisateurs','module_titre' => 'Utilisateurs','module_page' => 'back_administrateur','module_rang' => '6','actif_id' => '1','module_order' => '2','module_group' => 'a.administrateur_id','module_limit' => '50','module_bases' => 'back_administrateur','module_icon' => ''),
            array('module_id' => '98','module_parent_id' => '87','module_nom' => 'Gestion des modules','module_titre' => 'Modules','module_page' => 'back_module','module_rang' => '11','actif_id' => '2','module_order' => '7','module_group' => 'm.module_id','module_limit' => '50','module_bases' => 'back_module','module_icon' => ''),
            array('module_id' => '101','module_parent_id' => '1','module_nom' => 'CATALOGUE','module_titre' => 'CATALOGUE','module_page' => '','module_rang' => '30','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-folder-open-o'),
            array('module_id' => '132','module_parent_id' => '1','module_nom' => 'Gestion des Tables','module_titre' => 'DIVERS','module_page' => '','module_rang' => '70','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-list-ul'),
            array('module_id' => '140','module_parent_id' => '87','module_nom' => 'Gestion des Groupes','module_titre' => 'Groupes','module_page' => 'back_groupe','module_rang' => '10','actif_id' => '1','module_order' => '6','module_group' => 'g.groupe_id','module_limit' => '50','module_bases' => 'back_groupe','module_icon' => ''),
            array('module_id' => '176','module_parent_id' => '101','module_nom' => 'Gestion des Catégories','module_titre' => 'Catégories','module_page' => 'categorie','module_rang' => '50','actif_id' => '1','module_order' => '5','module_group' => 'c.categorie_id','module_limit' => '50','module_bases' => 'categorie|categorie_nom','module_icon' => ''),
            array('module_id' => '177','module_parent_id' => '101','module_nom' => 'Gestion des Fournisseurs','module_titre' => 'Fournisseurs','module_page' => 'fournisseur','module_rang' => '40','actif_id' => '1','module_order' => '3','module_group' => 'f.fournisseur_id','module_limit' => '50','module_bases' => 'fournisseur|fournisseur_nom','module_icon' => ''),
            array('module_id' => '178','module_parent_id' => '1','module_nom' => 'CRM','module_titre' => 'CRM','module_page' => '','module_rang' => '20','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-bar-chart'),
            array('module_id' => '179','module_parent_id' => '178','module_nom' => 'Gestion des clients','module_titre' => 'Clients','module_page' => 'client','module_rang' => '10','actif_id' => '1','module_order' => '-2','module_group' => 'c.client_id','module_limit' => '50','module_bases' => 'client','module_icon' => 'fa fa-users'),
            array('module_id' => '184','module_parent_id' => '178','module_nom' => 'Gestion des commandes','module_titre' => 'Commande','module_page' => 'commande','module_rang' => '20','actif_id' => '1','module_order' => '-3','module_group' => 'c.commande_id','module_limit' => '50','module_bases' => 'commande','module_icon' => 'fa fa-shopping-cart'),
            array('module_id' => '187','module_parent_id' => '101','module_nom' => 'Gestion des Produits','module_titre' => 'Produits','module_page' => 'produit','module_rang' => '10','actif_id' => '1','module_order' => '2','module_group' => 'p.produit_id','module_limit' => '50','module_bases' => 'produit|produit_nom','module_icon' => ''),
            array('module_id' => '262','module_parent_id' => '1','module_nom' => 'PROMOS / FIDELISATION','module_titre' => 'PROMOS / FIDELISATION','module_page' => '','module_rang' => '35','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-tags'),
            array('module_id' => '188','module_parent_id' => '262','module_nom' => 'Gestion des Prix Barrés','module_titre' => 'Prix Barrés','module_page' => 'prix_barre','module_rang' => '70','actif_id' => '1','module_order' => '2','module_group' => 'pb.prix_barre_id','module_limit' => '50','module_bases' => 'prix_barre','module_icon' => ''),
            array('module_id' => '190','module_parent_id' => '132','module_nom' => 'Gestion des Statuts de Commande','module_titre' => 'Statuts Commande','module_page' => 'commande_statut','module_rang' => '20','actif_id' => '1','module_order' => '2','module_group' => 'cs.commande_statut_id','module_limit' => '50','module_bases' => 'commande_statut|commande_statut_nom','module_icon' => ''),
            array('module_id' => '191','module_parent_id' => '132','module_nom' => 'Gestion des Modes de Paiement','module_titre' => 'Modes de Paiement','module_page' => 'paiement','module_rang' => '30','actif_id' => '1','module_order' => '2','module_group' => 'p.paiement_id','module_limit' => '50','module_bases' => 'paiement|paiement_nom','module_icon' => ''),
            array('module_id' => '220','module_parent_id' => '1','module_nom' => 'LIVRAISONS','module_titre' => 'LIVRAISONS','module_page' => '','module_rang' => '40','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-truck'),
            array('module_id' => '192','module_parent_id' => '220','module_nom' => 'Gestion des Taxes','module_titre' => 'Taxes','module_page' => 'taxe','module_rang' => '40','actif_id' => '1','module_order' => '5','module_group' => 't.taxe_id','module_limit' => '50','module_bases' => 'taxe','module_icon' => ''),
            array('module_id' => '193','module_parent_id' => '220','module_nom' => 'Gestion des Zones','module_titre' => 'Zones','module_page' => 'zone','module_rang' => '50','actif_id' => '1','module_order' => '5','module_group' => 'z.zone_id','module_limit' => '50','module_bases' => 'zone|zone_nom','module_icon' => ''),
            array('module_id' => '194','module_parent_id' => '220','module_nom' => 'Gestion des Livraisons','module_titre' => 'Livraisons','module_page' => 'livraison','module_rang' => '60','actif_id' => '1','module_order' => '7','module_group' => 'l.livraison_id','module_limit' => '50','module_bases' => 'livraison|livraison_nom','module_icon' => ''),
            array('module_id' => '195','module_parent_id' => '1','module_nom' => 'Tableau de bord','module_titre' => 'TABLEAU DE BORD','module_page' => 'tableau_bord','module_rang' => '10','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-area-chart'),
            array('module_id' => '198','module_parent_id' => '101','module_nom' => 'Gestion des Options','module_titre' => 'Options','module_page' => 'produit_option','module_rang' => '20','actif_id' => '1','module_order' => '2','module_group' => 'po.produit_option_id','module_limit' => '50','module_bases' => 'produit_option|produit_option_nom','module_icon' => ''),
            array('module_id' => '199','module_parent_id' => '101','module_nom' => 'Gestion des Valeurs d\'attributs','module_titre' => '_Valeurs_Attributs OFF','module_page' => 'produit_option_valeur','module_rang' => '56','actif_id' => '2','module_order' => '4','module_group' => 'pov.produit_option_valeur_id','module_limit' => '50','module_bases' => 'produit_option_valeur|produit_option_valeur_nom','module_icon' => ''),
            array('module_id' => '200','module_parent_id' => '220','module_nom' => 'Gestion des Pays','module_titre' => 'Pays','module_page' => 'pays','module_rang' => '55','actif_id' => '1','module_order' => '2','module_group' => 'p.pays_id','module_limit' => '50','module_bases' => 'pays|pays_nom','module_icon' => ''),
            array('module_id' => '202','module_parent_id' => '1','module_nom' => 'Gestion des Textes','module_titre' => 'TEXTES','module_page' => '','module_rang' => '80','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-paragraph'),
            array('module_id' => '203','module_parent_id' => '202','module_nom' => 'Gestion des Cat&eacute;gories de Textes','module_titre' => 'Cat&eacute;gories','module_page' => 'edition_categorie','module_rang' => '10','actif_id' => '1','module_order' => '-2','module_group' => 'ec.edition_categorie_id','module_limit' => '50','module_bases' => 'edition_categorie','module_icon' => ''),
            array('module_id' => '204','module_parent_id' => '202','module_nom' => 'Gestion des Textes','module_titre' => 'Textes','module_page' => 'edition','module_rang' => '20','actif_id' => '1','module_order' => '-2','module_group' => 'e.edition_id','module_limit' => '50','module_bases' => 'edition|edition_nom','module_icon' => ''),
            array('module_id' => '215','module_parent_id' => '178','module_nom' => 'Gestion des Adresses','module_titre' => 'Adresses','module_page' => 'adresse','module_rang' => '10','actif_id' => '2','module_order' => '3','module_group' => 'a.adresse_id','module_limit' => '50','module_bases' => 'adresse','module_icon' => ''),
            array('module_id' => '216','module_parent_id' => '101','module_nom' => 'Gestion des Produits Catégories','module_titre' => 'Produits Catégories','module_page' => 'produit_categorie','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'pc.produit_categorie_id','module_limit' => '50','module_bases' => 'produit_categorie','module_icon' => ''),
            array('module_id' => '223','module_parent_id' => '220','module_nom' => 'Gestion des Frais de port','module_titre' => 'Frais de port','module_page' => 'livraison_zone','module_rang' => '70','actif_id' => '1','module_order' => '4,5','module_group' => 'lz.livraison_zone_id','module_limit' => '50','module_bases' => 'livraison_zone','module_icon' => ''),
            array('module_id' => '224','module_parent_id' => '220','module_nom' => 'Gestion des Gratuités de Frais de Port','module_titre' => 'Gratuités des Frais de Port','module_page' => 'livraison_gratuit','module_rang' => '80','actif_id' => '1','module_order' => '-2','module_group' => 'lg.livraison_gratuit_id','module_limit' => '50','module_bases' => 'livraison_gratuit','module_icon' => ''),
            array('module_id' => '225','module_parent_id' => '101','module_nom' => 'Gestion des Produits Images','module_titre' => 'Produits Images','module_page' => 'produit_image','module_rang' => '60','actif_id' => '2','module_order' => '6','module_group' => 'pi.produit_image_id','module_limit' => '50','module_bases' => 'produit_image','module_icon' => ''),
            array('module_id' => '226','module_parent_id' => '101','module_nom' => 'Gestion des Produits Attributs','module_titre' => 'Produits Attributs','module_page' => 'produit_attribut','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'pa.produit_attribut_id','module_limit' => '50','module_bases' => 'produit_attribut','module_icon' => ''),
            array('module_id' => '227','module_parent_id' => '101','module_nom' => 'Gestion des Produits Associes','module_titre' => 'Produits Associes','module_page' => 'produit_assoc','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'pa.produit_assoc_id','module_limit' => '50','module_bases' => 'produit_assoc','module_icon' => ''),
            array('module_id' => '231','module_parent_id' => '178','module_nom' => 'Gestion de la newsletter','module_titre' => 'Newsletter','module_page' => 'newsletter','module_rang' => '20','actif_id' => '1','module_order' => '2','module_group' => '','module_limit' => '50','module_bases' => 'newsletter','module_icon' => ''),
            array('module_id' => '239','module_parent_id' => '87','module_nom' => 'Gestion des Utilisateurs Groupe','module_titre' => 'Utilisateurs Groupe','module_page' => 'back_administrateur_groupe','module_rang' => '6','actif_id' => '2','module_order' => '3','module_group' => 'ag.administrateur_groupe_id','module_limit' => '50','module_bases' => 'back_administrateur_groupe','module_icon' => ''),
            array('module_id' => '240','module_parent_id' => '87','module_nom' => 'Gestion des modules','module_titre' => 'Modules','module_page' => 'back_module_module','module_rang' => '11','actif_id' => '2','module_order' => '6','module_group' => 'm.module_id','module_limit' => '50','module_bases' => 'back_module','module_icon' => ''),
            array('module_id' => '246','module_parent_id' => '1','module_nom' => 'CMS','module_titre' => 'CMS','module_page' => '','module_rang' => '25','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-columns'),
            array('module_id' => '247','module_parent_id' => '246','module_nom' => 'Menu','module_titre' => 'Menu','module_page' => 'cms_menu','module_rang' => '10','actif_id' => '1','module_order' => '-2','module_group' => 'm.cms_menu_id','module_limit' => '50','module_bases' => 'cms_menu|cms_menu_nom','module_icon' => ''),
            array('module_id' => '248','module_parent_id' => '246','module_nom' => 'Page','module_titre' => 'Page','module_page' => 'cms_page','module_rang' => '10','actif_id' => '1','module_order' => 'mn.menu_nom_nom,p.page_rang','module_group' => 'p.cms_page_id','module_limit' => '50','module_bases' => 'cms_page|cms_page_nom','module_icon' => ''),
            array('module_id' => '255','module_parent_id' => '132','module_nom' => 'Gestion des Statuts de Commande','module_titre' => 'Statuts Commande Option','module_page' => 'commande_statut_option','module_rang' => '20','actif_id' => '2','module_order' => '2','module_group' => 'cso.commande_statut_option_id','module_limit' => '50','module_bases' => 'commande_statut_option|commande_statut_option_nom','module_icon' => ''),
            array('module_id' => '260','module_parent_id' => '220','module_nom' => 'Gestion des Pays par zone','module_titre' => 'Zones Pays','module_page' => 'zone_pays','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'p.pays_id','module_limit' => '50','module_bases' => 'pays','module_icon' => ''),
            array('module_id' => '261','module_parent_id' => '178','module_nom' => 'Gestion des transactions','module_titre' => 'Transaction','module_page' => 'tpe_reference','module_rang' => '21','actif_id' => '1','module_order' => '-2','module_group' => 'cr.tpe_reference_id','module_limit' => '50','module_bases' => 'tpe_reference','module_icon' => ''),
            array('module_id' => '264','module_parent_id' => '101','module_nom' => 'Gestion des Gammes','module_titre' => 'Gammes','module_page' => 'gamme','module_rang' => '60','actif_id' => '1','module_order' => '2','module_group' => 'c.gamme_id','module_limit' => '50','module_bases' => 'gamme|gamme_nom','module_icon' => ''),
            array('module_id' => '265','module_parent_id' => '101','module_nom' => 'Gestion des Produits Gammes','module_titre' => 'Produits Gammes','module_page' => 'produit_gamme','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'pc.produit_gamme_id','module_limit' => '50','module_bases' => 'produit_gamme','module_icon' => ''),
            array('module_id' => '266','module_parent_id' => '262','module_nom' => 'Gestion du Parrainage','module_titre' => 'Parrainage','module_page' => 'parrainage','module_rang' => '10','actif_id' => '1','module_order' => '2','module_group' => 'p.parrainage_id','module_limit' => '50','module_bases' => 'parrainage|parrainage_nom','module_icon' => ''),
            array('module_id' => '267','module_parent_id' => '262','module_nom' => 'Gestion du Club Fidelité','module_titre' => 'Club Fidelité','module_page' => 'club_fidelite','module_rang' => '10','actif_id' => '1','module_order' => '2','module_group' => 'p.club_fidelite_id','module_limit' => '50','module_bases' => 'club_fidelite|club_fidelite_nom','module_icon' => ''),
            array('module_id' => '268','module_parent_id' => '178','module_nom' => 'Gestion des Bons dAchat','module_titre' => 'Bons dAchat','module_page' => 'bon_achat','module_rang' => '10','actif_id' => '2','module_order' => '-2','module_group' => 'ba.bon_achat_id','module_limit' => '50','module_bases' => 'bon_achat','module_icon' => ''),
            array('module_id' => '269','module_parent_id' => '178','module_nom' => 'Gestion des Filleuls','module_titre' => 'Filleuls','module_page' => 'filleul','module_rang' => '10','actif_id' => '2','module_order' => '-2','module_group' => 'c.client_id','module_limit' => '50','module_bases' => 'client','module_icon' => ''),
            array('module_id' => '270','module_parent_id' => '178','module_nom' => 'Gestion des Avoirs','module_titre' => 'Avoirs','module_page' => 'avoir','module_rang' => '25','actif_id' => '1','module_order' => '-2','module_group' => 'a.avoir_id','module_limit' => '50','module_bases' => 'avoir','module_icon' => ''),
            array('module_id' => '271','module_parent_id' => '178','module_nom' => 'Gestion des Commentaires Client','module_titre' => 'Commentaires Client','module_page' => 'client_commentaire','module_rang' => '10','actif_id' => '2','module_order' => '-2','module_group' => 'cc.client_commentaire_id','module_limit' => '50','module_bases' => 'client_commentaire','module_icon' => ''),
            array('module_id' => '275','module_parent_id' => '132','module_nom' => 'Gestion du Référencement','module_titre' => 'Référencement','module_page' => 'referencement','module_rang' => '50','actif_id' => '1','module_order' => '3','module_group' => 'r.referencement_id','module_limit' => '50','module_bases' => 'referencement|referencement_nom','module_icon' => ''),
            array('module_id' => '277','module_parent_id' => '246','module_nom' => 'Position','module_titre' => 'Position','module_page' => 'cms_menu_position','module_rang' => '10','actif_id' => '2','module_order' => '-2','module_group' => 'mp.menu_position_id','module_limit' => '50','module_bases' => 'cms_menu_position','module_icon' => ''),
            array('module_id' => '296','module_parent_id' => '132','module_nom' => 'Gestion des Publicités','module_titre' => 'Publicités','module_page' => 'ads','module_rang' => '40','actif_id' => '1','module_order' => '2','module_group' => 'a.ads_id','module_limit' => '50','module_bases' => 'ads|ads_nom','module_icon' => ''),
            array('module_id' => '301','module_parent_id' => '101','module_nom' => 'Gestion des Marques','module_titre' => 'Marques','module_page' => 'marque','module_rang' => '30','actif_id' => '1','module_order' => '2','module_group' => 'm.marque_id','module_limit' => '50','module_bases' => 'marque|marque_nom','module_icon' => ''),
            array('module_id' => '309','module_parent_id' => '262','module_nom' => 'Gestion des Prix Barrés Categorie','module_titre' => 'Prix Barrés Categorie','module_page' => 'prix_barre_categorie','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pbc.prix_barre_categorie_id','module_limit' => '50','module_bases' => 'prix_barre_categorie','module_icon' => ''),
            array('module_id' => '310','module_parent_id' => '262','module_nom' => 'Gestion des Prix Barrés Fournisseur','module_titre' => 'Prix Barrés Fournisseur','module_page' => 'prix_barre_fournisseur','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pbf.prix_barre_fournisseur_id','module_limit' => '50','module_bases' => 'prix_barre_fournisseur','module_icon' => ''),
            array('module_id' => '311','module_parent_id' => '262','module_nom' => 'Gestion des Prix Barrés Gamme','module_titre' => 'Prix Barrés Gamme','module_page' => 'prix_barre_gamme','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pbg.prix_barre_gamme_id','module_limit' => '50','module_bases' => 'prix_barre_gamme','module_icon' => ''),
            array('module_id' => '312','module_parent_id' => '262','module_nom' => 'Gestion des Prix Barrés Marque','module_titre' => 'Prix Barrés Marque','module_page' => 'prix_barre_marque','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pbm.prix_barre_marque_id','module_limit' => '50','module_bases' => 'prix_barre_marque','module_icon' => ''),
            array('module_id' => '313','module_parent_id' => '262','module_nom' => 'Gestion des Prix Barrés Produit','module_titre' => 'Prix Barrés Produit','module_page' => 'prix_barre_produit','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pbp.prix_barre_produit_id','module_limit' => '50','module_bases' => 'prix_barre_produit','module_icon' => ''),
            array('module_id' => '314','module_parent_id' => '132','module_nom' => 'Gestion des Sujets','module_titre' => 'Sujets','module_page' => 'sujet','module_rang' => '10','actif_id' => '1','module_order' => '2','module_group' => 's.sujet_id','module_limit' => '50','module_bases' => 'sujet|sujet_nom','module_icon' => ''),
            array('module_id' => '315','module_parent_id' => '262','module_nom' => 'Gestion des Promotions','module_titre' => 'Promotions','module_page' => 'promotion','module_rang' => '70','actif_id' => '1','module_order' => '2','module_group' => 'p.promotion_id','module_limit' => '50','module_bases' => 'promotion','module_icon' => ''),
            array('module_id' => '316','module_parent_id' => '262','module_nom' => 'Gestion des Promotions Categorie','module_titre' => 'Promotions Categorie','module_page' => 'promotion_categorie','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pc.promotion_categorie_id','module_limit' => '50','module_bases' => 'promotion_categorie','module_icon' => ''),
            array('module_id' => '317','module_parent_id' => '262','module_nom' => 'Gestion des Promotions Fournisseur','module_titre' => 'Promotions Fournisseur','module_page' => 'promotion_fournisseur','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pf.promotion_fournisseur_id','module_limit' => '50','module_bases' => 'promotion_fournisseur','module_icon' => ''),
            array('module_id' => '318','module_parent_id' => '262','module_nom' => 'Gestion des Promotions Gamme','module_titre' => 'Promotions Gamme','module_page' => 'promotion_gamme','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pg.promotion_gamme_id','module_limit' => '50','module_bases' => 'promotion_gamme','module_icon' => ''),
            array('module_id' => '319','module_parent_id' => '262','module_nom' => 'Gestion des Promotions Marque','module_titre' => 'Promotions Marque','module_page' => 'promotion_marque','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pm.promotion_marque_id','module_limit' => '50','module_bases' => 'promotion_marque','module_icon' => ''),
            array('module_id' => '320','module_parent_id' => '262','module_nom' => 'Gestion des Promotions Produit','module_titre' => 'Promotions Produit','module_page' => 'promotion_produit','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pp.promotion_produit_id','module_limit' => '50','module_bases' => 'promotion_produit','module_icon' => ''),
            array('module_id' => '322','module_parent_id' => '178','module_nom' => 'Gestion des stocks','module_titre' => 'Stocks','module_page' => 'stock','module_rang' => '150','actif_id' => '1','module_order' => '1','module_group' => 'p.produit_id, pa.produit_attribut_id','module_limit' => '50','module_bases' => 'stock','module_icon' => ''),
            array('module_id' => '323','module_parent_id' => '178','module_nom' => 'Gestion des stocks produit','module_titre' => 'Stocks produit','module_page' => 'produit_stock','module_rang' => '150','actif_id' => '2','module_order' => '1','module_group' => '','module_limit' => '50','module_bases' => 'produit_stock','module_icon' => ''),
            array('module_id' => '325','module_parent_id' => '262','module_nom' => 'Gestion des Promotions FDP gratuit','module_titre' => 'Promotions FDP gratuit','module_page' => 'promotion_fdp','module_rang' => '120','actif_id' => '2','module_order' => '2','module_group' => 'pfp.promotion_fdp_id','module_limit' => '50','module_bases' => 'promotion_fdp','module_icon' => ''),
            array('module_id' => '326','module_parent_id' => '262','module_nom' => 'Etiquettes','module_titre' => 'Etiquettes','module_page' => 'etiquette','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'e.etiquette_id','module_limit' => '50','module_bases' => 'etiquette|etiquette_nom','module_icon' => ''),
            array('module_id' => '327','module_parent_id' => '132','module_nom' => 'Gestion des notations','module_titre' => 'Notation','module_page' => 'temoignage_etoile','module_rang' => '80','actif_id' => '2','module_order' => '-2','module_group' => 'n.temoignage_etoile_id','module_limit' => '50','module_bases' => 'temoignage_etoile|temoignage_etoile_nom','module_icon' => ''),
            array('module_id' => '330','module_parent_id' => '262','module_nom' => 'Gestion des Cheques Cadeaux','module_titre' => 'Cheques Cadeaux','module_page' => 'cheque_cadeau','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'cc.cheque_cadeau_id','module_limit' => '50','module_bases' => 'cheque_cadeau','module_icon' => ''),
            array('module_id' => '333','module_parent_id' => '101','module_nom' => 'Gestion des Produits Prix Barres','module_titre' => ' Produits Prix Barres','module_page' => 'produit_prix_barre','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ppb.produit_prix_barre_id','module_limit' => '50','module_bases' => 'produit_prix_barre','module_icon' => ''),
            array('module_id' => '334','module_parent_id' => '101','module_nom' => 'Gestion des Produits Caractéristiques','module_titre' => 'Produits Caractéristiques','module_page' => 'produit_caracteristique_valeur','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pcv.produit_caracteristique_valeur_id','module_limit' => '50','module_bases' => 'produit_caracteristique_valeur','module_icon' => ''),
            array('module_id' => '335','module_parent_id' => '101','module_nom' => 'Gestion des caractéristiques valeur','module_titre' => 'Caractéristiques Valeur','module_page' => 'caracteristique_valeur','module_rang' => '70','actif_id' => '2','module_order' => '2','module_group' => 'cv.caracteristique_valeur_id','module_limit' => '50','module_bases' => 'caracteristique_valeur|caracteristique_valeur_nom','module_icon' => ''),
            array('module_id' => '336','module_parent_id' => '101','module_nom' => 'Gestion des caractéristiques','module_titre' => 'Caractéristiques','module_page' => 'caracteristique','module_rang' => '70','actif_id' => '1','module_order' => '2','module_group' => 'c.caracteristique_id','module_limit' => '50','module_bases' => 'caracteristique|caracteristique_nom','module_icon' => ''),
            array('module_id' => '341','module_parent_id' => '101','module_nom' => 'Gestion des Catégories Boutique','module_titre' => 'Catégories Boutique','module_page' => 'categorie_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.categorie_boutique_id','module_limit' => '50','module_bases' => 'categorie_boutique','module_icon' => ''),
            array('module_id' => '342','module_parent_id' => '101','module_nom' => 'Gestion des Gammes Boutique','module_titre' => 'Gammes Boutique','module_page' => 'gamme_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.gamme_boutique_id','module_limit' => '50','module_bases' => 'gamme_boutique','module_icon' => ''),
            array('module_id' => '343','module_parent_id' => '101','module_nom' => 'Gestion des Marques Boutique','module_titre' => 'Marques Boutique','module_page' => 'marque_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.marque_boutique_id','module_limit' => '50','module_bases' => 'marque_boutique','module_icon' => ''),
            array('module_id' => '344','module_parent_id' => '101','module_nom' => 'Gestion des Ads Boutique','module_titre' => 'Ads Boutique','module_page' => 'ads_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.ads_boutique_id','module_limit' => '50','module_bases' => 'ads_boutique','module_icon' => ''),
            array('module_id' => '345','module_parent_id' => '101','module_nom' => 'Gestion des Textes Boutique','module_titre' => 'Textes Boutique','module_page' => 'edition_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.edition_boutique_id','module_limit' => '50','module_bases' => 'edition_boutique','module_icon' => ''),
            array('module_id' => '346','module_parent_id' => '101','module_nom' => 'Gestion des Fournisseurs Boutique','module_titre' => 'Fournisseurs Boutique','module_page' => 'fournisseur_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.fournisseur_boutique_id','module_limit' => '50','module_bases' => 'fournisseur_boutique','module_icon' => ''),
            array('module_id' => '347','module_parent_id' => '101','module_nom' => 'Gestion des Paiements Boutique','module_titre' => 'Paiements Boutique','module_page' => 'paiement_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.paiement_boutique_id','module_limit' => '50','module_bases' => 'paiement_boutique','module_icon' => ''),
            array('module_id' => '348','module_parent_id' => '101','module_nom' => 'Gestion des Prix barre Boutique','module_titre' => 'Prix barre Boutique','module_page' => 'prix_barre_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.prix_barre_boutique_id','module_limit' => '50','module_bases' => 'prix_barre_boutique','module_icon' => ''),
            array('module_id' => '349','module_parent_id' => '101','module_nom' => 'Gestion des Produits Boutique','module_titre' => 'Produits Boutique','module_page' => 'produit_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.produit_boutique_id','module_limit' => '50','module_bases' => 'produit_boutique','module_icon' => ''),
            array('module_id' => '350','module_parent_id' => '101','module_nom' => 'Gestion des Promotions Boutique','module_titre' => 'Promotions Boutique','module_page' => 'promotion_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.promotion_boutique_id','module_limit' => '50','module_bases' => 'promotion_boutique','module_icon' => ''),
            array('module_id' => '351','module_parent_id' => '1','module_nom' => 'Gestions des boutiques','module_titre' => 'BOUTIQUE','module_page' => '','module_rang' => '150','actif_id' => '1','module_order' => '','module_group' => '','module_limit' => '50','module_bases' => '','module_icon' => 'fa fa-home'),
            array('module_id' => '352','module_parent_id' => '351','module_nom' => 'Gestion des Boutiques','module_titre' => 'Boutiques','module_page' => 'boutique','module_rang' => '10','actif_id' => '1','module_order' => '2','module_group' => 'b.boutique_id','module_limit' => '50','module_bases' => 'boutique','module_icon' => ''),
            array('module_id' => '353','module_parent_id' => '101','module_nom' => 'Gestion des Livraisons Boutique','module_titre' => 'Livraisons Boutique','module_page' => 'livraison_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.livraison_boutique_id','module_limit' => '50','module_bases' => 'livraison_boutique','module_icon' => ''),
            array('module_id' => '354','module_parent_id' => '101','module_nom' => 'Gestion des CMS menu Boutique','module_titre' => 'CMS menu Boutique','module_page' => 'cms_menu_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.cms_menu_boutique_id','module_limit' => '50','module_bases' => 'cms_menu_boutique','module_icon' => ''),
            array('module_id' => '355','module_parent_id' => '101','module_nom' => 'Gestion des CMS page Boutique','module_titre' => 'CMS page Boutique','module_page' => 'cms_page_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.cms_page_boutique_id','module_limit' => '50','module_bases' => 'cms_page_boutique','module_icon' => ''),
            array('module_id' => '356','module_parent_id' => '101','module_nom' => 'Gestion des etiquette Boutique','module_titre' => 'etiquette Boutique','module_page' => 'etiquette_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.etiquette_boutique_id','module_limit' => '50','module_bases' => 'etiquette_boutique','module_icon' => ''),
            array('module_id' => '357','module_parent_id' => '101','module_nom' => 'Gestion des parrainage Boutique','module_titre' => 'parrainage Boutique','module_page' => 'parrainage_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.parrainage_boutique_id','module_limit' => '50','module_bases' => 'parrainage_boutique','module_icon' => ''),
            array('module_id' => '358','module_parent_id' => '101','module_nom' => 'Gestion des sujet Boutique','module_titre' => 'sujet Boutique','module_page' => 'sujet_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.sujet_boutique_id','module_limit' => '50','module_bases' => 'sujet_boutique','module_icon' => ''),
            array('module_id' => '359','module_parent_id' => '101','module_nom' => 'Gestion des Config Boutique','module_titre' => 'Config Boutique','module_page' => 'boutique_config','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'bc.boutique_config_id','module_limit' => '50','module_bases' => 'boutique_config','module_icon' => ''),
            array('module_id' => '360','module_parent_id' => '351','module_nom' => 'Gestion des Devises','module_titre' => 'Devises','module_page' => 'devise','module_rang' => '10','actif_id' => '1','module_order' => '2','module_group' => 'd.devise_id','module_limit' => '50','module_bases' => 'devise','module_icon' => 'fa fa-euro'),
            array('module_id' => '362','module_parent_id' => '262','module_nom' => 'Gestion des Prix Barrés Collection','module_titre' => 'Prix Barrés Collection','module_page' => 'prix_barre_collection','module_rang' => '80','actif_id' => '2','module_order' => '2','module_group' => 'pbc.prix_barre_collection_id','module_limit' => '50','module_bases' => 'prix_barre_collection','module_icon' => ''),
            array('module_id' => '363','module_parent_id' => '132','module_nom' => 'Gestion des redirections','module_titre' => 'Redirections','module_page' => 'redirection','module_rang' => '50','actif_id' => '1','module_order' => '2','module_group' => 'r.redirection_id','module_limit' => '50','module_bases' => 'redirection','module_icon' => '')
        );

        $this
            ->table('back_module')
            ->insert($back_module)
            ->save();

        $back_groupe_droit = array(
            array('groupe_droit_id' => '1','groupe_id' => '1','module_id' => '1','groupe_droit_somme' => '63')
        );

        $this
            ->table('back_groupe_droit')
            ->insert($back_groupe_droit)
            ->save();

        $back_module_export = array(
            array('module_export_id' => '1','module_id' => '188','module_export_nom' => 'Actualisation des Prix Barrés','module_export_type' => 'fa fa-rocket','module_export_methode' => 'apply_prix','module_export_rang' => '10','module_export_alert' => 'Attention cette action peut être longue, ne pas fermer la popup ou le navigateur !','module_export_out' => 'ajax','module_export_mini' => 'APL','module_export_import' => '0')
        );

        $this
            ->table('back_module_export')
            ->insert($back_module_export)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('back_actif')
            ->truncate();
        $this
            ->table('back_administrateur')
            ->truncate();
        $this
            ->table('back_administrateur_groupe')
            ->truncate();
        $this
            ->table('back_droits')
            ->truncate();
        $this
            ->table('back_groupe')
            ->truncate();
        $this
            ->table('back_groupe_droit')
            ->truncate();
        $this
            ->table('back_module')
            ->truncate();
        $this
            ->table('back_module_export')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
