//Configuration
//Require
gulp = require('gulp');
browserSync = require('browser-sync');
gutil = require('gulp-util');
csso = require('gulp-csso');
uglify = require('gulp-uglify');
concat = require('gulp-concat');
//pump = require('pump');
gulpLoader = require('gulp-load-plugins')({
    scope: ['devDependencies']
});



// Tasks
//http://macr.ae/article/splitting-gulpfile-multiple-files.html
//http://stackoverflow.com/questions/36721688/gulp-variables-outside-gulpfile-js
var path = require('./paths');

gulp.task('concatJs', function(){
    gulp.src(path.concatJsScripts)
        .pipe(concat('app.js'))
        .pipe(uglify())
        .pipe(gulp.dest(path.js));
});

gulp.task('concatCss', function(){
    gulp.src(path.concatCssScripts)
        .pipe(concat('app.css'))
        .pipe(csso())
        .pipe(gulp.dest(path.css));
});

gulp.task('sass', function(){
    var sassOpts = {
        //outputStyle: 'compressed',
        //errLogToConsole: true
    };
    gulp.src(path.scss + '*.scss')
        .pipe(gulpLoader.sass(sassOpts).on('error', gulpLoader.sass.logError))
        .pipe(gulp.dest(path.cssDev))
        .pipe(gulpLoader.size())
        .pipe(gulpLoader.autoprefixer({
            browsers: [path.versionBrowsers],
            cascade: true
        }))
        .pipe(browserSync.reload({stream:true}));
});

gulp.task('copyNonRetina', function(){
    dest = path.imgDev;
    gulp.src(path.imgRetina + "*.png")
        .pipe(gulpLoader.changed(dest))
        .pipe(gulpLoader.imageResize({width: '50%', height: '50%', imageMagick: true}))
        .pipe(gulp.dest(dest));
});

gulp.task('sprite', ['copyNonRetina'], function(){
    opts = {optimizationLevel: 5, progressive: true, interlace: true};
    sprite = gulp.src(path.imgRetina + '*.png')
        .pipe(gulpLoader.spritesmith({imgName: "sprite@2x.png", cssName: "_sprite.scss"}))
        .img
        .pipe(gulpLoader.imagemin(opts))
        .pipe(gulp.dest(path.images));

    sprite = gulp.src(path.imgDev + '*.png')
        .pipe(gulpLoader.spritesmith({
            imgName: "sprite.png",
            cssName: "_sprite.scss",
            cssSpritesheetName: 'sprite',
            cssVarMap: function(sprite) {
                sprite.spritename = sprite.image.replace(".png","");
                return sprite;
            },
            cssTemplate: path.tplSprite + "_tplSprite.scss"
        }));
    /*sprite = gulp.src(path.images + 'sprite@2x.png')
        .pipe(gulpLoader.imageResize({width: '50%', height: '50%', imageMagick: true}))
        .pipe(gulpLoader.rename(function (varPath){varPath.basename="sprite";}))
        .pipe(gulp.dest(path.images))
        .pipe(gulpLoader.spritesmith({
            imgName: "sprite.png",
            cssName: "_sprite.scss",
            cssTemplate: path.tplSprite + "_tplSprite.scss"
        }));*/

    sprite.img
        .pipe(gulpLoader.imagemin(opts))
        .pipe(gulp.dest(path.images));
    sprite.css.pipe(gulp.dest(path.scss));
});

gulp.task('copy', function(){
    gulp.src(path.css + 'app.css')
        .pipe(gulpLoader.flatten())
        .pipe(gulp.dest(path.cssDevSrv));
});

gulp.task('watchJS', function() {
    gulp.watch(path.jsDev + '**/*.js', function(){
        gulp.start('concatJs');
    })
});

gulp.task('default', ['concatCss','concatJs'], function(){
    browserSync({
        notify: false,
        //server: {baseDir:'./'},
        //proxy: path.srv
        proxy: {
            target: path.srv
        }
    });
    gulp.watch(path.tpl + '**/*.tpl', function(){
        browserSync.reload();
    });
    gulp.watch(path.jsDev + '**/*.js', function(){
        gulp.start('concatJs');
        browserSync.reload();
    });
    gulp.watch(path.cssDev + '*.css', function(){
        gulp.start('concatCss');
        browserSync.reload();
    });
    gulp.watch(path.imgRetina + '*.png', function(){
        gulp.start('sprite');
    });
    gulp.watch(path.imgDev + '*.png', function(){
        gulp.start('sprite');
    });
    gulp.watch(path.scss + '**/*.scss', function(){
        gutil.log('scss modifié');
        gulp.start('sass');
        gulp.start('concatCss');
        gulp.start('copy');
    })
});